Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/EasyXmlGenerator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/EasyXmlGenerator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/EasyXmlGenerator.cs	(revision 4068)
@@ -20,15 +20,12 @@
 #endregion
 
+using System;
 using System.Collections.Generic;
-using System;
-using System.Text;
+using System.IO;
+using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using System.IO;
-using ICSharpCode.SharpZipLib.Zip;
 using HeuristicLab.Tracing;
-using HeuristicLab.Persistence.Core.Tokens;
-using System.IO.Compression;
-using HeuristicLab.Persistence.Auxiliary;
 
 namespace HeuristicLab.Persistence.Default.Xml {
@@ -146,5 +143,5 @@
     /// <param name="filename">The filename.</param>
     /// <param name="config">The configuration.</param>
-    public static void Serialize(object obj, string filename, Configuration config) {      
+    public static void Serialize(object obj, string filename, Configuration config) {
       try {
         string tempfile = Path.GetTempFileName();
@@ -157,5 +154,6 @@
         File.Copy(tempfile, filename, true);
         File.Delete(tempfile);
-      } catch (Exception) {
+      }
+      catch (Exception) {
         Logger.Warn("Exception caught, no data has been written.");
         throw;
@@ -180,5 +178,5 @@
     /// <param name="stream">The stream.</param>
     /// <param name="config">The configuration.</param>
-    public static void Serialize(object obj, Stream stream, Configuration config) {      
+    public static void Serialize(object obj, Stream stream, Configuration config) {
       try {
         using (StreamWriter writer = new StreamWriter(stream)) {
@@ -192,7 +190,9 @@
           writer.Flush();
         }
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
         throw;
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Unexpected exception during Serialization.", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs	(revision 4068)
@@ -20,9 +20,6 @@
 #endregion
 
-using System;
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
@@ -35,5 +34,6 @@
       try {
         return new DateTime(long.Parse(x.Data));
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Exception caugth while trying to reconstruct DateTime object.", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
 using System.Globalization;
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
 using System.Globalization;
 
@@ -54,6 +51,6 @@
   }
 
-  
-  
+
+
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
 using System.Globalization;
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs	(revision 4068)
@@ -21,9 +21,6 @@
 
 using System;
+using System.Globalization;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Text;
-using System.Text.RegularExpressions;
-using System.Globalization;
 
 
@@ -39,7 +36,9 @@
       try {
         return new Guid(t.Data);
-      } catch (FormatException x) {
+      }
+      catch (FormatException x) {
         throw new PersistenceException("Cannot parse Guid string representation.", x);
-      } catch (OverflowException x) {
+      }
+      catch (OverflowException x) {
         throw new PersistenceException("Overflow during Guid parsing.", x);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/PrimitiveXmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/PrimitiveXmlSerializerBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/PrimitiveXmlSerializerBase.cs	(revision 4068)
@@ -20,7 +20,4 @@
 #endregion
 
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs	(revision 4068)
@@ -21,8 +21,6 @@
 
 using System;
+using System.Reflection;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
@@ -46,5 +44,6 @@
       try {
         return (T)ParseMethod.Invoke(null, new[] { x.Data });
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Could not parse simple number.", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs	(revision 4068)
@@ -20,10 +20,7 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
 using System.Text;
 using System.Text.RegularExpressions;
-using System.Globalization;
+using HeuristicLab.Persistence.Core;
 
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/System.Drawing/Bitmap2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/System.Drawing/Bitmap2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/System.Drawing/Bitmap2XmlSerializer.cs	(revision 4068)
@@ -20,13 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Drawing;
+using System.Drawing.Imaging;
 using System.IO;
-using System.Drawing.Imaging;
-using System.Text.RegularExpressions;
-using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Default.Xml.Compact;
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs	(revision 4068)
@@ -22,8 +22,4 @@
 using System;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Text;
-using System.Text.RegularExpressions;
-using System.Globalization;
 
 
@@ -39,7 +35,9 @@
       try {
         return TimeSpan.Parse(t.Data);
-      } catch (FormatException x) {
+      }
+      catch (FormatException x) {
         throw new PersistenceException("Cannot parse TimeSpan string representation.", x);
-      } catch (OverflowException x) {
+      }
+      catch (OverflowException x) {
         throw new PersistenceException("Overflow during TimeSpan parsing.", x);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs	(revision 4068)
@@ -20,10 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using System.Globalization;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 4068)
@@ -20,7 +20,6 @@
 #endregion
 
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 4068)
@@ -20,15 +20,15 @@
 #endregion
 
+using System;
 using System.Collections.Generic;
-using System;
+using System.IO;
+using System.IO.Compression;
+using System.Linq;
 using System.Text;
-using System.Linq;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using System.IO;
+using HeuristicLab.Tracing;
 using ICSharpCode.SharpZipLib.Zip;
-using HeuristicLab.Tracing;
-using HeuristicLab.Persistence.Core.Tokens;
-using System.IO.Compression;
 
 namespace HeuristicLab.Persistence.Default.Xml {
@@ -257,5 +257,6 @@
           {"typeName", lastTypeToken.TypeName },
           {"serializer", lastTypeToken.Serializer }});
-      } finally {
+      }
+      finally {
         lastTypeToken = null;
       }
@@ -367,5 +368,6 @@
         File.Copy(tempfile, filename, true);
         File.Delete(tempfile);
-      } catch (Exception) {
+      }
+      catch (Exception) {
         Logger.Warn("Exception caught, no data has been written.");
         throw;
@@ -413,7 +415,9 @@
           writer.Flush();
         }
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
         throw;
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Unexpected exception during Serialization.", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 4068)
@@ -20,14 +20,14 @@
 #endregion
 
-using System.Xml;
-using System.Collections.Generic;
 using System;
 using System.Collections;
+using System.Collections.Generic;
 using System.IO;
+using System.IO.Compression;
+using System.Xml;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
 using HeuristicLab.Persistence.Interfaces;
 using ICSharpCode.SharpZipLib.Zip;
-using HeuristicLab.Persistence.Core.Tokens;
-using System.IO.Compression;
 
 namespace HeuristicLab.Persistence.Default.Xml {
@@ -75,5 +75,6 @@
         try {
           iterator = handlers[reader.Name].Invoke();
-        } catch (KeyNotFoundException) {
+        }
+        catch (KeyNotFoundException) {
           throw new PersistenceException(String.Format(
             "Invalid XML tag \"{0}\" in persistence file.",
@@ -175,7 +176,9 @@
         }
         return typeCache;
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
         throw;
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Unexpected exception during type cache parsing.", e);
       }
@@ -193,5 +196,6 @@
           return Deserialize(file);
         }
-      } finally {
+      }
+      finally {
         TimeSpan end = System.Diagnostics.Process.GetCurrentProcess().TotalProcessorTime;
         Tracing.Logger.Info(string.Format(
@@ -224,7 +228,9 @@
           return deserializer.Deserialize(parser);
         }
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
         throw;
-      } catch (Exception x) {
+      }
+      catch (Exception x) {
         throw new PersistenceException("Unexpected exception during deserialization", x);
       }
@@ -255,7 +261,9 @@
         zipFile.Close();
         return result;
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
         throw;
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Unexpected exception during deserialization", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlSerializerBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlSerializerBase.cs	(revision 4068)
@@ -21,6 +21,4 @@
 
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
 using System.Text;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.Xml {
@@ -30,5 +29,5 @@
   /// XML friendly encapsulation of string data.
   /// </summary>
-  [StorableClass]  
+  [StorableClass]
   public class XmlString : ISerialData {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStringConstants.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStringConstants.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStringConstants.cs	(revision 4068)
@@ -20,13 +20,4 @@
 #endregion
 
-using System.Collections.Generic;
-using System;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using System.IO;
-using ICSharpCode.SharpZipLib.Zip;
-using HeuristicLab.Tracing;
-using HeuristicLab.Persistence.Core.Tokens;
 
 namespace HeuristicLab.Persistence.Default.Xml {
@@ -41,4 +32,4 @@
     public const string METAINFO = "METAINFO";
   }
-  
+
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerialData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerialData.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerialData.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Persistence.Interfaces {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Tests/StorableAttributeTests.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Tests/StorableAttributeTests.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Tests/StorableAttributeTests.cs	(revision 4068)
@@ -20,14 +20,9 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using HeuristicLab.Persistence.Core;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Reflection;
 
 namespace HeuristicLab.Persistence_33.Tests {
 
-  [StorableClass] 
+  [StorableClass]
   class DemoClass {
 
@@ -74,43 +69,43 @@
   }
 
-/*  [TestClass]
-  public class AttributeTest {
+  /*  [TestClass]
+    public class AttributeTest {
 
-    [TestMethod]
-    public void SimpleStorableAttributeTest() {
-      DemoClass t = new DemoClass();
-      IEnumerable<DataMemberAccessor> accessorList = StorableAttribute.GetStorableAccessors(t);
-      Dictionary<string, DataMemberAccessor> accessors = new Dictionary<string, DataMemberAccessor>();
-      foreach (var a in accessorList)
-        accessors.Add(a.Name, a);
-      Assert.IsTrue(accessors.ContainsKey("TestProperty"));
-      Assert.IsTrue(accessors.ContainsKey("x"));
-      Assert.IsFalse(accessors.ContainsKey("y"));
-      object o = new object();
-      t.o = o;
-      Assert.AreSame(accessors["TestProperty"].Get(), o);
-      t.x = 12;
-      Assert.AreEqual(accessors["x"].Get(), 12);
-      t.y = 312890;
-      accessors["TestProperty"].Set(null);
-      Assert.IsNull(t.o);
-      accessors["x"].Set(123);
-      Assert.AreEqual(t.x, 123);
-    }
+      [TestMethod]
+      public void SimpleStorableAttributeTest() {
+        DemoClass t = new DemoClass();
+        IEnumerable<DataMemberAccessor> accessorList = StorableAttribute.GetStorableAccessors(t);
+        Dictionary<string, DataMemberAccessor> accessors = new Dictionary<string, DataMemberAccessor>();
+        foreach (var a in accessorList)
+          accessors.Add(a.Name, a);
+        Assert.IsTrue(accessors.ContainsKey("TestProperty"));
+        Assert.IsTrue(accessors.ContainsKey("x"));
+        Assert.IsFalse(accessors.ContainsKey("y"));
+        object o = new object();
+        t.o = o;
+        Assert.AreSame(accessors["TestProperty"].Get(), o);
+        t.x = 12;
+        Assert.AreEqual(accessors["x"].Get(), 12);
+        t.y = 312890;
+        accessors["TestProperty"].Set(null);
+        Assert.IsNull(t.o);
+        accessors["x"].Set(123);
+        Assert.AreEqual(t.x, 123);
+      }
 
-    [TestMethod]
-    public void TestInheritance() {
-      New n = new New();
-      var accessors = StorableAttribute.GetStorableAccessors(n);
-      var accessDict = new Dictionary<string, DataMemberAccessor>();
-      foreach (var accessor in accessors) // assert uniqueness
-        accessDict.Add(accessor.Name, accessor);
-      Assert.IsTrue(accessDict.ContainsKey(typeof(New).FullName + ".Name"));
-      Assert.IsTrue(accessDict.ContainsKey(typeof(Override).FullName + ".Name"));
-      Assert.AreEqual("New", accessDict[typeof(New).FullName + ".Name"].Get());
-      Assert.AreEqual("Override", accessDict[typeof(Override).FullName + ".Name"].Get());
-    }
+      [TestMethod]
+      public void TestInheritance() {
+        New n = new New();
+        var accessors = StorableAttribute.GetStorableAccessors(n);
+        var accessDict = new Dictionary<string, DataMemberAccessor>();
+        foreach (var accessor in accessors) // assert uniqueness
+          accessDict.Add(accessor.Name, accessor);
+        Assert.IsTrue(accessDict.ContainsKey(typeof(New).FullName + ".Name"));
+        Assert.IsTrue(accessDict.ContainsKey(typeof(Override).FullName + ".Name"));
+        Assert.AreEqual("New", accessDict[typeof(New).FullName + ".Name"].Get());
+        Assert.AreEqual("Override", accessDict[typeof(Override).FullName + ".Name"].Get());
+      }
 
-  }*/
+    }*/
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Tests/UseCases.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Tests/UseCases.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Tests/UseCases.cs	(revision 4068)
@@ -21,22 +21,21 @@
 
 using System;
+using System.Collections;
+using System.Collections.Generic;
+using System.Drawing;
+using System.IO;
+using System.Linq;
+using System.Reflection;
 using System.Text;
-using System.Collections.Generic;
-using System.Linq;
+using System.Text.RegularExpressions;
+using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence.Default.DebugString;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Default.Xml.Primitive;
+using HeuristicLab.Persistence.Interfaces;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Persistence.Core;
-using System.Collections;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Default.DebugString;
-using System.IO;
-using System.Reflection;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml.Primitive;
-using HeuristicLab.Persistence.Default.CompositeSerializers;
-using HeuristicLab.Persistence.Auxiliary;
-using System.Text.RegularExpressions;
-using System.Drawing;
-using System.Drawing.Imaging;
 
 namespace HeuristicLab.Persistence_33.Tests {
@@ -607,5 +606,6 @@
         XmlGenerator.Serialize(c, tempFile);
         Assert.Fail("Exception not thrown");
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
       }
     }
@@ -619,5 +619,6 @@
         XmlGenerator.Serialize(s, tempFile);
         Assert.Fail("Exception expected");
-      } catch (PersistenceException) { }
+      }
+      catch (PersistenceException) { }
       List<int> newList = (List<int>)XmlParser.Deserialize(tempFile);
       Assert.AreEqual(list[0], newList[0]);
@@ -658,5 +659,6 @@
         }
         Assert.Fail("Exception expected");
-      } catch (PersistenceException px) {
+      }
+      catch (PersistenceException px) {
         Assert.AreEqual(3, px.Data.Count);
       }
@@ -686,5 +688,6 @@
         d = new Deserializer(XmlParser.ParseTypeCache(new StringReader(newTypeString)));
         Assert.Fail("Exception expected");
-      } catch (PersistenceException x) {
+      }
+      catch (PersistenceException x) {
         Assert.IsTrue(x.Message.Contains("incompatible"));
       }
@@ -695,5 +698,6 @@
         d = new Deserializer(XmlParser.ParseTypeCache(new StringReader(newTypeString)));
         Assert.Fail("Exception expected");
-      } catch (PersistenceException x) {
+      }
+      catch (PersistenceException x) {
         Assert.IsTrue(x.Message.Contains("newer"));
       }
@@ -862,5 +866,6 @@
         ExplodingDefaultConstructor newX = (ExplodingDefaultConstructor)XmlParser.Deserialize(tempFile);
         Assert.Fail("Exception expected");
-      } catch (PersistenceException pe) {
+      }
+      catch (PersistenceException pe) {
         Assert.AreEqual(pe.InnerException.Message, "this constructor will always fail");
       }
@@ -873,5 +878,6 @@
         XmlGenerator.Serialize(ns, tempFile);
         Assert.Fail("PersistenceException expected");
-      } catch (PersistenceException x) {
+      }
+      catch (PersistenceException x) {
         Assert.IsTrue(x.Message.Contains(new StorableSerializer().JustifyRejection(typeof(NonSerializable))));
       }
